## ros-dashing-resource-retriever 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(resource_retriever)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(ament_index_cpp REQUIRED)
# TODO(wjwwood): remove libcurl_vendor and just use system curl when possible
find_package(libcurl_vendor REQUIRED)

# TODO(wjwwood): split cpp and python apis into separate packages and fix python api

add_library(${PROJECT_NAME} src/retriever.cpp)
target_include_directories(${PROJECT_NAME}
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(${PROJECT_NAME}
  ament_index_cpp
  libcurl_vendor
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "RESOURCE_RETRIEVER_BUILDING_LIBRARY")

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_interfaces(${PROJECT_NAME} HAS_LIBRARY_TARGET)

ament_export_dependencies(ament_index_cpp)
ament_export_dependencies(libcurl_vendor)

if(BUILD_TESTING)
  # TODO(wjwwood): add ament linters

  # TODO(wjwwood): reenable tests from ROS 1
  # add_subdirectory(test EXCLUDE_FROM_ALL)
endif()

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-dashing-resource-retriever (2.1.3-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jul 2020 04:00:00 -0000

ros-dashing-resource-retriever (2.1.2-1bionic) bionic; urgency=high

  * Catch ament_index_cpp::PackageNotFoundError (#34 <https://github.com/ros/resource_retriever/issues/34>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Dec 2019 05:00:00 -0000

ros-dashing-resource-retriever (2.1.1-1bionic) bionic; urgency=high

  * Changed to export resource retriever and to enable hooks. (#26 <https://github.com/ros/resource_retriever/issues/26>)
  * Contributors: Steven! Ragnarök

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 08 May 2019 04:00:00 -0000

ros-dashing-resource-retriever (2.1.0-1bionic) bionic; urgency=high

  * Make sure to export the include directory for resource_retriever. (#22 <https://github.com/ros/resource_retriever/issues/22>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 21 Jun 2018 04:00:00 -0000

ros-dashing-resource-retriever (1.12.3-1bionic) bionic; urgency=high

  * Fix C++11 to use set_directory_properties
  * Make Shane and Chris the maintainers.
  * Python3 compatibility (#10 <https://github.com/ros/resource_retriever/issues/10>)
    * Replace urlgrabber with urllib[2]
    As urlgrabber is not supported for Python 3 replace it with either the built-in urllib (Python 2) or urllib2 (Python 3)
    * Use rospkg instead of system call for rospack
    * Add test for python functionality
    * Fix rospkg dependency definition
  * Update URL in http test to something which exists (#8 <https://github.com/ros/resource_retriever/issues/8>)
    * Update URL in http test to something which exists
  * Contributors: Chris Lalancette, Mike Purvis, Ruben Smits

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 04:00:00 -0000

ros-dashing-resource-retriever (1.12.2-1bionic) bionic; urgency=high

  * fix failing build due to cmake error (#6 <https://github.com/ros/resource_retriever/issues/6>)
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 04:00:00 -0000

ros-dashing-resource-retriever (1.12.1-1bionic) bionic; urgency=high

  * Fix warnings in test (#5 <https://github.com/ros/resource_retriever/issues/5>)
    add spaces around ROS_PACKAGE_NAME
  * Merge pull request #4 <https://github.com/ros/resource_retriever/issues/4> from DLu/kinetic-devel
    Add c++11 flag
  * Contributors: David V. Lu!!, Jackie Kay, Steven Peters

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 04:00:00 -0000

ros-dashing-resource-retriever (1.12.0-1bionic) bionic; urgency=high

  * resource_retriever: adding missing dep
    Using the python resource_retriever requires the python-urlgrabber system dependency: http://rosindex.github.io/d/python-urlgrabber/
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 23 Mar 2016 04:00:00 -0000

ros-dashing-resource-retriever (1.11.6-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 05:00:00 -0000

ros-dashing-resource-retriever (1.11.5-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 04:00:00 -0000

ros-dashing-resource-retriever (1.11.4-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 04:00:00 -0000

ros-dashing-resource-retriever (1.11.3-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 04:00:00 -0000

ros-dashing-resource-retriever (1.11.2-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 04:00:00 -0000

ros-dashing-resource-retriever (1.11.1-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 04:00:00 -0000

ros-dashing-resource-retriever (1.11.0-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 05:00:00 -0000

ros-dashing-resource-retriever (1.10.18-1bionic) bionic; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 05:00:00 -0000

ros-dashing-resource-retriever (1.10.16-1bionic) bionic; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 05:00:00 -0000

ros-dashing-resource-retriever (1.10.15-1bionic) bionic; urgency=high

  * resource_retriever: install python package using setup.py

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 17 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-dashing-resource-retriever
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-ros, ros-dashing-ament-index-cpp, ros-dashing-libcurl-vendor, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/resource_retriever
Standards-Version: 3.9.2

Package: ros-dashing-resource-retriever
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-index-cpp, ros-dashing-libcurl-vendor, ros-dashing-ros-workspace
Description: This package retrieves data from url-format files such as http://, ftp://, package:// file://, etc., and loads the data into memory.
 The package:// url for ros packages is translated into a local file:// url. The resourse retriever was initially designed to load mesh files into memory, but it can be used for any type of data. The resource retriever is based on the the libcurl library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-resource-retriever//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
